gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::MessageAsyncDone Class Reference

An asynchronous done message. More...

Inheritance diagram for Gst::MessageAsyncDone:
[legend]
Collaboration diagram for Gst::MessageAsyncDone:
[legend]

List of all members.

## Public Member Functions
| MessageAsyncDone (GstMessage* castitem)
## Static Public Member Functions
static Glib::RefPtr < Gst::MessageAsyncDone > | create (const Glib::RefPtr< Gst::Object >& src)
| Create an async done message.

## Detailed Description

An asynchronous done message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageAsyncDone::MessageAsyncDone | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::MessageAsyncDone> Gst::MessageAsyncDone::create | ( | const Glib::RefPtr< Gst::Object >& | src | ) | `[static]`

Create an async done message.

The message is posted when elements completed an ASYNC state change.

Parameters:

  src | The object originating the message.

Returns:
  The new async_done message. MT safe.

The documentation for this class was generated from the following file:

- gstreamermm/message.h